%define name iwlwifi-5150-ucode
%define version 8.24.2.2
%define release %mkrel 2

Summary: Intel PRO/Wireless 5150AGN microcode
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5150-ucode-%{version}.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-5150-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 5150AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode




%changelog
* Sat Jan 15 2011 tmb <tmb> 8.24.2.2-2.mga1
+ Revision: 19559
- imported package iwlwifi-5150-ucode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 8.24.2.2-2.mga1
- initial Mageia import

* Thu May 28 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 8.24.2.2-1mdv2010.0
+ Revision: 380679
- import iwlwifi-5150-ucode


